#3217 closed enhancement (fixed)

Add RTEMS version, build and tools details to tests

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: lib Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Published test results need the RTEMS version, how it is built and the tools used to build the kernel and tests.

Attachments (1)

0001-build-Fix-the-dependence-for-the-generating-the-key-.patch (1.1 KB) - added by Chris Johns on Nov 14, 2017 at 1:00:54 AM.
Please test and report if this works. Thanks

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:2 Changed on Nov 11, 2017 at 5:23:26 AM by Chris Johns <chrisj@…>

In 30218f5/rtems-tools:

tester: Add reporting the RTEMS version, build and tools.

Update #3217.

comment:3 Changed on Nov 13, 2017 at 1:16:44 PM by Sebastian Huber

I get build failures on CentOS Linux release 7.4.1708 with a "make -j 1":

+ version=5
+ bsp=t32mppc
+ target=powerpc
+ build_dir=b-t32mppc
+ source_dir=/home/rtems/rtems
+ rm -rf b-t32mppc
+ mkdir b-t32mppc
+ cd b-t32mppc
+ /home/rtems/rtems/configure --target=powerpc-rtems5 --prefix=/opt/rtems/5 --enable-maintainer-mode --enable-rtemsbsp=t32mppc --enable-posix --disable-tests --enable-networking --enable-smp
checking for gmake... gmake
checking for RTEMS Version... 5.0.0
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
...
Making all-am in sapi
gmake[5]: Entering directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc/cpukit/sapi'
powerpc-rtems5-gcc --pipe -DHAVE_CONFIG_H   -I.. -I../../cpukit/../../../t32mppc/lib/include -I.   -mcpu=8540 -meabi -msdata=sysv -fno-common -msoft-float -mno-spe -D__ppc_generic -Og -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT src/libsapi_a-version.o -MD -MP -MF src/.deps/libsapi_a-version.Tpo -c -o src/libsapi_a-version.o `test -f 'src/version.c' || echo '/home/rtems/rtems/c/src/../../cpukit/sapi/'`src/version.c
/home/rtems/rtems/c/src/../../cpukit/sapi/src/version.c:30:10: fatal error: version-vc-key.h: No such file or directory
 #include "version-vc-key.h"
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
gmake[5]: *** [src/libsapi_a-version.o] Error 1
gmake[5]: Leaving directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc/cpukit/sapi'
gmake[4]: *** [sapi] Error 2
gmake[4]: Leaving directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc/cpukit'
gmake[3]: *** [cpukit] Error 2
gmake[3]: Leaving directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c'
make: *** [all-recursive] Error 1

It works only if I change into the sapi build directory and run "make" here:

cd /home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc/cpukit/sapi
~/build/b-t32mppc/powerpc-rtems5/c/t32mppc/cpukit/sapi > make
Generating version-vc-key.h
gmake  all-am
gmake[1]: Entering directory `/home/rtems/build/b-t32mppc/powerpc-rtems5/c/t32mppc/cpukit/sapi'
powerpc-rtems5-gcc --pipe -DHAVE_CONFIG_H   -I.. -I../../cpukit/../../../t32mppc/lib/include -I.   -mcpu=8540 -meabi -msdata=sysv -fno-common -msoft-float -mno-spe -D__ppc_generic -Og -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT src/libsapi_a-version.o -MD -MP -MF src/.deps/libsapi_a-version.Tpo -c -o src/libsapi_a-version.o `test -f 'src/version.c' || echo '/home/rtems/rtems/c/src/../../cpukit/sapi/'`src/version.c

comment:4 in reply to:  3 Changed on Nov 13, 2017 at 9:53:06 PM by Chris Johns

Replying to Sebastian Huber:

I get build failures on CentOS Linux release 7.4.1708 with a "make -j 1":

#include "version-vc-key.h"

~

I can repeat this. And ..

$ find . -name version-vc-key.h
$

.. for some reason the key is not being generated with a single job.

Changed on Nov 14, 2017 at 1:00:54 AM by Chris Johns

Please test and report if this works. Thanks

comment:5 Changed on Nov 14, 2017 at 6:07:03 AM by Chris Johns <chrisj@…>

In 631f711/rtems:

build: Fix the dependence for the generating the key file.

Update #3217.

comment:6 Changed on Nov 14, 2017 at 6:07:47 AM by Sebastian Huber

Thanks, this patch worked.

comment:7 Changed on Dec 5, 2017 at 2:27:35 PM by Joel Sherrill

Is this resolved? The tests are reporting version information. I can't tell what else is required before this ticket is complete.

comment:8 Changed on Apr 10, 2018 at 5:14:43 AM by Chris Johns

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.